## graphviz-14.0.4.tar.lz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.21 FATAL_ERROR)
project(Graphviz)

include(FeatureSummary)

# =============================== Build options ================================
set(ENABLE_LTDL AUTO CACHE STRING "Support on-demand plugin loading")
set_property(CACHE ENABLE_LTDL PROPERTY STRINGS AUTO ON OFF)
set(WITH_EXPAT AUTO CACHE STRING "Support HTML-like labels through expat")
set_property(CACHE WITH_EXPAT PROPERTY STRINGS AUTO ON OFF)
option(with_digcola    "DIGCOLA features in neato layout engine" ON )
set(WITH_GVEDIT AUTO CACHE STRING "GVEdit interactive graph editor")
set_property(CACHE WITH_GVEDIT PROPERTY STRINGS AUTO ON OFF)
option(with_ipsepcola  "IPSEPCOLA features in neato layout engine" ON )
option(with_ortho      "ORTHO features in neato layout engine." ON )
option(with_sfdp       "sfdp layout engine." ON )
set(WITH_SMYRNA AUTO CACHE STRING "SMYRNA large graph viewer")
set_property(CACHE WITH_SMYRNA PROPERTY STRINGS AUTO ON OFF)
set(WITH_ZLIB AUTO CACHE STRING "Support raster image compression through zlib")
set_property(CACHE WITH_ZLIB PROPERTY STRINGS AUTO ON OFF)
option(use_coverage    "enables analyzing code coverage" OFF)
option(with_cxx_api    "enables building the C++ API" OFF)
option(with_cxx_tests  "enables building the C++ tests" OFF)
option(use_win_pre_inst_libs
       "enables building using pre-installed Windows libraries" ON)
option(BUILD_SHARED_LIBS "Build in shared lib mode" ON)
set(ENABLE_TCL AUTO CACHE STRING "Build TCL components")
set_property(CACHE ENABLE_TCL PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_SWIG AUTO CACHE STRING "Build language bindings")
set_property(CACHE ENABLE_SWIG PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_SHARP AUTO CACHE STRING "Build C# language bindings")
set_property(CACHE ENABLE_SHARP PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_D AUTO CACHE STRING "Build D language bindings")
set_property(CACHE ENABLE_D PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_GO AUTO CACHE STRING "Build Go language bindings")
set_property(CACHE ENABLE_GO PROPERTY STRINGS AUTO ON OFF)
set(INTGOSIZE AUTO CACHE STRING "Integer size for go, 32 or 64")
set_property(CACHE INTGOSIZE PROPERTY STRINGS AUTO 32 64)
set(ENABLE_GUILE AUTO CACHE STRING "Build Guile language bindings")
set_property(CACHE ENABLE_GUILE PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_JAVA AUTO CACHE STRING "Build Java language bindings")
set_property(CACHE ENABLE_JAVA PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_JAVASCRIPT AUTO CACHE STRING "Build Javascript language bindings")
set_property(CACHE ENABLE_JAVASCRIPT PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_LUA AUTO CACHE STRING "Build Lua language bindings")
set_property(CACHE ENABLE_LUA PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_PERL AUTO CACHE STRING "Build Perl language bindings")
set_property(CACHE ENABLE_PERL PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_PHP AUTO CACHE STRING "Build PHP language bindings")
set_property(CACHE ENABLE_PHP PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_PYTHON AUTO CACHE STRING "Build Python language bindings")
set_property(CACHE ENABLE_PYTHON PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_R AUTO CACHE STRING "Build R language bindings")
set_property(CACHE ENABLE_R PROPERTY STRINGS AUTO ON OFF)
set(ENABLE_RUBY AUTO CACHE STRING "Build Ruby language bindings")
set_property(CACHE ENABLE_RUBY PROPERTY STRINGS AUTO ON OFF)
option(GRAPHVIZ_CLI "Build command line tools" ON)
set(WITH_GDK AUTO CACHE STRING "enable GDK-dependent components (GDK plugin)")
set_property(CACHE WITH_GDK PROPERTY STRINGS AUTO ON OFF)

set(WITH_GHOSTSCRIPT AUTO CACHE STRING
    "enable Ghostscript-dependent components (Ghostscript plugin)")
set_property(CACHE WITH_GHOSTSCRIPT PROPERTY STRINGS AUTO ON OFF)
if(WITH_GHOSTSCRIPT STREQUAL "AUTO")
  set(AUTO_GHOSTSCRIPT ON)
else()
  set(AUTO_GHOSTSCRIPT OFF)
endif()

set(WITH_GTK AUTO CACHE STRING "enable GTK-dependent components (smyrna)")
set_property(CACHE WITH_GTK PROPERTY STRINGS AUTO ON OFF)
if(WITH_GTK STREQUAL "AUTO")
  set(AUTO_GTK ON)
else()
  set(AUTO_GTK OFF)
endif()

set(WITH_POPPLER AUTO CACHE STRING
  "enable Poppler-dependent components (Poppler plugin)")
set_property(CACHE WITH_POPPLER PROPERTY STRINGS AUTO ON OFF)
if(WITH_POPPLER STREQUAL "AUTO")
  set(AUTO_POPPLER ON)
else()
  set(AUTO_POPPLER OFF)
endif()

set(WITH_QUARTZ AUTO CACHE STRING
  "enable Quartz-dependent components (Quartz plugin)")
set_property(CACHE WITH_QUARTZ PROPERTY STRINGS AUTO ON OFF)
if(WITH_QUARTZ STREQUAL "AUTO")
  set(AUTO_QUARTZ ON)
else()
  set(AUTO_QUARTZ OFF)
endif()

set(WITH_RSVG AUTO CACHE STRING
  "enable librsvg-dependent components (Rsvg plugin)")
set_property(CACHE WITH_RSVG PROPERTY STRINGS AUTO ON OFF)
if(WITH_RSVG STREQUAL "AUTO")
  set(AUTO_RSVG ON)
else()
  set(AUTO_RSVG OFF)
endif()

set(WITH_WEBP AUTO CACHE STRING
  "enable WebP-dependent components (WebP plugin)")
set_property(CACHE WITH_WEBP PROPERTY STRINGS AUTO ON OFF)
if(WITH_WEBP STREQUAL "AUTO")
  set(AUTO_WEBP ON)
else()
  set(AUTO_WEBP OFF)
endif()

set(WITH_X AUTO CACHE STRING
  "enable X11-dependent components (xlib plugin, libglcomp, Smyrna)")
set_property(CACHE WITH_X PROPERTY STRINGS AUTO ON OFF)
if(WITH_X STREQUAL "AUTO")
  set(AUTO_X ON)
else()
  set(AUTO_X OFF)
endif()

if(WIN32)
  if(BUILD_SHARED_LIBS)
    # build dynamic-link libraries on Windows, including MinGW
    add_definitions(-DGVDLL)
  endif()

  option(install_win_dependency_dlls "Install 3rd party dependencies" ON)
endif()

if(with_digcola)
  add_definitions(-DDIGCOLA)
endif()

if(with_ipsepcola)
  add_definitions(-DIPSEPCOLA)
endif()

if(with_ortho)
  add_definitions(-DORTHO)
endif()

if(with_sfdp)
  add_definitions(-DSFDP)
endif()

# ===================== Append local CMake module directory ====================
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# ============================= Build dependencies =============================
find_package(BISON 3.0)
set_package_properties(BISON PROPERTIES TYPE REQUIRED)
find_package(FLEX)
set_package_properties(FLEX PROPERTIES TYPE REQUIRED)
find_program(GZIP gzip)

# ================== Convenient values for CMake configuration =================
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  include(GNUInstallDirs)
  set(BINARY_INSTALL_DIR  "${CMAKE_INSTALL_BINDIR}")
  set(LIBRARY_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}")
  set(HEADER_INSTALL_DIR  "${CMAKE_INSTALL_INCLUDEDIR}/graphviz")
  set(MAN_INSTALL_DIR     "${CMAKE_INSTALL_MANDIR}")
  set(libdir # cmake-lint: disable=C0103
                          "${CMAKE_INSTALL_FULL_LIBDIR}")
  set(includedir # cmake-lint: disable=C0103
                          "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
  set(DATA_INSTALL_DIR    "${CMAKE_INSTALL_DATAROOTDIR}")
else()
  set(BINARY_INSTALL_DIR  bin)
  set(LIBRARY_INSTALL_DIR lib)
  set(HEADER_INSTALL_DIR  include/graphviz)
  set(MAN_INSTALL_DIR     share/man)
  set(libdir # cmake-lint: disable=C0103
                          "${CMAKE_INSTALL_PREFIX}/${LIBRARY_INSTALL_DIR}")
  set(includedir # cmake-lint: disable=C0103
                          "${CMAKE_INSTALL_PREFIX}/include")
  set(DATA_INSTALL_DIR    share)
endif()

set(PLUGIN_INSTALL_DIR      ${LIBRARY_INSTALL_DIR}/graphviz)
set(PKGCONFIG_DIR           ${LIBRARY_INSTALL_DIR}/pkgconfig)
# TODO: Find a way to check for groff and ps2pdf for manpage pdf generation
# set(MAN_PDF_INSTALL_DIR share/graphviz/doc/pdf)
set(WINDOWS_DEPENDENCY_DIR
    "${CMAKE_CURRENT_SOURCE_DIR}/windows/dependencies/libraries")
set(WINDOWS_DEPENDENCY_VCPKG_DIR "${WINDOWS_DEPENDENCY_DIR}/vcpkg/installed")
if(CMAKE_CL_64)
  set(WINDOWS_DEPENDENCY_DIR "${WINDOWS_DEPENDENCY_DIR}/x64")
  set(WINDOWS_DEPENDENCY_VCPKG_DIR
      "${WINDOWS_DEPENDENCY_VCPKG_DIR}/x64-windows")
else()
  set(WINDOWS_DEPENDENCY_DIR "${WINDOWS_DEPENDENCY_DIR}/x86")
  set(WINDOWS_DEPENDENCY_VCPKG_DIR
      "${WINDOWS_DEPENDENCY_VCPKG_DIR}/x86-windows")
endif()

# see configure.ac GVPLUGIN_CURRENT
set(GVPLUGIN_CURRENT 8)

# see configure.ac GVPLUGIN_REVISION
set(GVPLUGIN_REVISION 3)

# Name of the config file used by Graphviz
set(GVPLUGIN_CONFIG_FILE config${GVPLUGIN_CURRENT})

# ============================ Library dependencies ============================
if(WIN32)
  if(use_win_pre_inst_libs)
    list(APPEND CMAKE_PREFIX_PATH ${WINDOWS_DEPENDENCY_VCPKG_DIR})
    list(APPEND CMAKE_PREFIX_PATH ${WINDOWS_DEPENDENCY_DIR})
    set(PKG_CONFIG_EXECUTABLE
        "${WINDOWS_DEPENDENCY_VCPKG_DIR}/tools/pkgconf/pkgconf.exe"
        CACHE STRING "The pathname of the pkg-config program")
  endif()
  if(MINGW)
    list(APPEND CMAKE_PREFIX_PATH $ENV{MSYSTEM_PREFIX})
  endif()
endif()

find_package(ANN)
find_package(CAIRO)

if(NOT WITH_EXPAT STREQUAL "OFF")
  find_package(EXPAT)
  if(WITH_EXPAT STREQUAL "AUTO")
    if(EXPAT_FOUND)
      message(STATUS "setting -DWITH_EXPAT=ON")
      set(WITH_EXPAT ON)
    else()
      message(STATUS "setting -DWITH_EXPAT=OFF")
      set(WITH_EXPAT OFF)
    endif()
  elseif(NOT EXPAT_FOUND)
    message(FATAL_ERROR "-DWITH_EXPAT=ON and expat not found")
  endif()
endif()

find_package(GTS)

if(NOT WITH_SMYRNA STREQUAL "OFF")
  find_package(Freetype)
  find_package(GLUT)
  if(WITH_GTK)
    find_package(GTK2)
    if(NOT AUTO_GTK)
      set_package_properties(GTK2 PROPERTIES TYPE REQUIRED)
    endif()
  else()
    message(STATUS "skipping GTK discovery because -DWITH_GTK=OFF")
    set(GTK2_FOUND 0)
  endif()
  find_package(PkgConfig)
  find_package(Fontconfig)
  if(PkgConfig_FOUND)
    pkg_check_modules(GTKGLEXT gtkglext-1.0)
    if(AUTO_X)
      pkg_check_modules(XRENDER xrender)
    elseif(WITH_X)
      pkg_check_modules(XRENDER REQUIRED xrender)
    else()
      message(STATUS "skipping xrender discovery because -DWITH_X=OFF")
      set(XRENDER_FOUND 0)
    endif()
  endif()
  if(Freetype_FOUND AND GLUT_FOUND AND GTK2_FOUND AND Fontconfig_FOUND AND
     GTKGLEXT_FOUND AND GTS_FOUND AND XRENDER_FOUND)
    if(WITH_SMYRNA STREQUAL "AUTO")
      message(STATUS "setting -DWITH_SMYRNA=ON")
      set(WITH_SMYRNA ON)
    endif()
  else()
    if(WITH_SMYRNA STREQUAL "AUTO")
      message(STATUS "setting -DWITH_SMYRNA=OFF")
      set(WITH_SMYRNA OFF)
    else()
      message(FATAL_ERROR "-DWITH_SMYRNA=ON and dependencies not found")
    endif()
  endif()
endif()

find_package(GD)
if(WITH_GHOSTSCRIPT)
  find_package(GS)
  if(NOT AUTO_GHOSTSCRIPT)
    set_package_properties(GS PROPERTIES TYPE REQUIRED)
  endif()
else()
  message(STATUS
          "skipping Ghostscript discovery because -DWITH_GHOSTSCRIPT=OFF")
  set(GS_FOUND 0)
endif()

if(NOT ENABLE_LTDL STREQUAL "OFF")
  find_package(LTDL)
  if(ENABLE_LTDL STREQUAL "AUTO")
    if(LTDL_FOUND)
      message(STATUS "setting -DENABLE_LTDL=ON")
      set(ENABLE_LTDL ON)
    else()
      message(STATUS "setting -DENABLE_LTDL=OFF")
      set(ENABLE_LTDL OFF)
    endif()
  elseif(NOT LTDL_FOUND)
    message(FATAL_ERROR "-DENABLE_LTDL=ON and ltdl not found")
  endif()
endif()
if(ENABLE_LTDL)
  add_definitions(-DENABLE_LTDL)
endif()

find_package(AA)
find_package(DevIL)
find_package(Freetype)
find_package(PANGOCAIRO)
find_package(PkgConfig)
if(PkgConfig_FOUND)
  if(WITH_GDK STREQUAL "OFF")
    message(STATUS "skipping GDK discovery because -DWITH_GDK=OFF")
    set(GDK_FOUND 0)
  else()
    pkg_check_modules(GDK gdk-3.0)
  endif()
  if(WITH_GDK STREQUAL "ON")
    if(NOT GDK_FOUND)
      message(FATAL_ERROR "-DWITH_GDK=ON and GDK not found")
    endif()
  endif()
  pkg_check_modules(GDK_PIXBUF gdk-pixbuf-2.0)
  pkg_check_modules(LASI lasi)
  if(AUTO_POPPLER)
    pkg_check_modules(POPPLER poppler-glib)
  elseif(WITH_POPPLER)
    pkg_check_modules(POPPLER REQUIRED poppler-glib)
  else()
    message(STATUS "skipping Poppler discovery because -DWITH_POPPLER=OFF")
    set(POPPLER_FOUND 0)
  endif()
  if(AUTO_RSVG)
    pkg_check_modules(RSVG librsvg-2.0)
  elseif(WITH_RSVG)
    pkg_check_modules(RSVG REQUIRED librsvg-2.0)
  else()
    message(STATUS "skipping librsvg discovery because -DWITH_RSVG=OFF")
    set(RSVG_FOUND 0)
  endif()
  if(AUTO_WEBP)
    pkg_check_modules(WEBP libwebp)

=== requirements.txt ===
black==25.11.0
cmakelang==0.6.13
isort==6.1.0
pexpect==4.9.0
pillow==11.3.0
pylint==3.3.9
pytest==8.4.2
pytest-xdist==3.8.0
tabulate==0.9.0

=== plugin/CMakeLists.txt ===
# teach plugins how to find libraries, even if there is another copy of Graphviz
# installed in the system default paths
if(APPLE)
  list(APPEND CMAKE_INSTALL_RPATH "@executable_path/..")
else()
  list(APPEND CMAKE_INSTALL_RPATH "\$ORIGIN/..")
endif()

add_subdirectory(ascii)
add_subdirectory(core)
add_subdirectory(devil)
add_subdirectory(dot_layout)
add_subdirectory(gd)
add_subdirectory(gdiplus)
add_subdirectory(gdk)
add_subdirectory(gs)
add_subdirectory(kitty)
add_subdirectory(lasi)
add_subdirectory(neato_layout)
add_subdirectory(pango)
add_subdirectory(poppler)
add_subdirectory(quartz)
add_subdirectory(rsvg)
add_subdirectory(vt)
add_subdirectory(webp)
add_subdirectory(xlib)

=== lib/cdt/CMakeLists.txt ===
add_definitions(-DEXPORT_CDT)

add_library(cdt
  # Header files
  cdt.h
  dthdr.h

  # Source files
  dtclose.c
  dtdisc.c
  dtextract.c
  dtflatten.c
  dthash.c
  dtmethod.c
  dtopen.c
  dtrenew.c
  dtrestore.c
  dtsize.c
  dtstat.c
  dtstrhash.c
  dttree.c
  dtview.c
  dtwalk.c
)

target_include_directories(cdt PRIVATE
  ..
  ${CMAKE_CURRENT_SOURCE_DIR})

# Installation location of library files
install(
  TARGETS cdt
  EXPORT cdtConfig
  RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
  LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
)

# Specify headers to be installed
install(
  FILES cdt.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

# Specify man pages to be installed
if(GZIP)
  add_custom_target(man-cdt ALL DEPENDS cdt.3.gz
                    COMMENT "cdt man page")
  add_custom_command(
    OUTPUT cdt.3.gz
    COMMAND ${GZIP} -9 --no-name --to-stdout cdt.3
      >"${CMAKE_CURRENT_BINARY_DIR}/cdt.3.gz"
    MAIN_DEPENDENCY cdt.3
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "compress cdt man page")
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/cdt.3.gz
    DESTINATION ${MAN_INSTALL_DIR}/man3)
else()
  install(
    FILES cdt.3
    DESTINATION ${MAN_INSTALL_DIR}/man3
  )
endif()

# Specify library version and soversion
set_target_properties(cdt PROPERTIES
  VERSION 6.0.1
  SOVERSION 6
)

if(BUILD_SHARED_LIBS)
  install(
    EXPORT cdtConfig
    FILE cdtConfig.cmake
    NAMESPACE graphviz::
    DESTINATION ${LIBRARY_INSTALL_DIR}/cmake/graphviz
  )
endif()

=== lib/cgraph/CMakeLists.txt ===
BISON_TARGET(Grammar ${CMAKE_CURRENT_SOURCE_DIR}/grammar.y
                     ${CMAKE_CURRENT_BINARY_DIR}/grammar.c)
FLEX_TARGET(Scan
  ${CMAKE_CURRENT_SOURCE_DIR}/scan.l
  ${CMAKE_CURRENT_BINARY_DIR}/scan.c
  COMPILE_FLAGS --case-insensitive
)
ADD_FLEX_BISON_DEPENDENCY(Scan Grammar)

add_definitions(-DEXPORT_CGRAPH -DEXPORT_CGHDR)
if(WIN32 AND NOT MINGW)
  add_definitions(-DYY_NO_UNISTD_H)
endif()

add_library(cgraph
  # Header files
  cghdr.h
  cgraph.h
  ingraphs.h
  node_set.h
  rdr.h

  # Source files
  acyclic.c
  agerror.c
  apply.c
  attr.c
  edge.c
  graph.c
  id.c
  imap.c
  ingraphs.c
  io.c
  node.c
  node_induce.c
  obj.c
  rec.c
  refstr.c
  subg.c
  tred.c
  unflatten.c
  utils.c
  write.c

  # Generated files
  ${BISON_Grammar_OUTPUTS}
  ${FLEX_Scan_OUTPUTS}
)

if(HAVE_C_WUNUSED_BUT_SET_VARIABLE)
  set_source_files_properties(${BISON_Grammar_OUTPUTS}
    PROPERTIES COMPILE_FLAGS -Wno-unused-but-set-variable)
endif()

target_include_directories(cgraph
  PUBLIC
    $<INSTALL_INTERFACE:include/graphviz>
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../cdt>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
)

target_link_libraries(cgraph PRIVATE util)
target_link_libraries(cgraph PUBLIC cdt)

# Installation location of library files
install(
  TARGETS cgraph
  EXPORT cgraphConfig
  RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
  LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
)

# Specify headers to be installed
install(
  FILES cgraph.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

# Specify man pages to be installed
if(GZIP)
  add_custom_target(man-cgraph ALL DEPENDS cgraph.3.gz
                    COMMENT "cgraph man page")
  add_custom_command(
    OUTPUT cgraph.3.gz
    COMMAND ${GZIP} -9 --no-name --to-stdout cgraph.3
      >"${CMAKE_CURRENT_BINARY_DIR}/cgraph.3.gz"
    MAIN_DEPENDENCY cgraph.3
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "compress cgraph man page")
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/cgraph.3.gz
    DESTINATION ${MAN_INSTALL_DIR}/man3)
else()
  install(
    FILES cgraph.3
    DESTINATION ${MAN_INSTALL_DIR}/man3
  )
endif()

# Specify library version and soversion
set_target_properties(cgraph PROPERTIES
  VERSION 8.0.4
  SOVERSION 8
)

if(BUILD_SHARED_LIBS)
  install(
    EXPORT cgraphConfig
    FILE cgraphConfig.cmake
    NAMESPACE graphviz::
    DESTINATION ${LIBRARY_INSTALL_DIR}/cmake/graphviz
  )
endif()

=== lib/gvc/CMakeLists.txt ===
add_definitions(-DGVC_EXPORTS -DGVLIBDIR="${LIBRARY_INSTALL_DIR}/graphviz")

add_library(gvc
  # Header files
  gvc.h
  gvcext.h
  gvcint.h
  gvcjob.h
  gvconfig.h
  gvcommon.h
  gvcproc.h
  gvio.h
  gvplugin.h
  gvplugin_device.h
  gvplugin_layout.h
  gvplugin_loadimage.h
  gvplugin_render.h
  gvplugin_textlayout.h

  # Source files
  gvc.c
  gvconfig.c
  gvcontext.c
  gvdevice.c
  gvevent.c
  gvjobs.c
  gvlayout.c
  gvloadimage.c
  gvplugin.c
  gvrender.c
  gvtextlayout.c
  gvtool_tred.c
  gvusershape.c
)

target_include_directories(gvc
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../cdt>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../cgraph>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../common>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../pathplan>
    $<INSTALL_INTERFACE:include/graphviz>
  PRIVATE
    ../..
)

if(WIN32 AND NOT MINGW)
  target_include_directories(gvc PRIVATE
    ../../windows/include/unistd
  )
endif()

target_link_libraries(gvc PRIVATE
  $<TARGET_OBJECTS:common_obj>
  $<TARGET_OBJECTS:pack_obj>
)

target_link_libraries(gvc PRIVATE
  cdt
  cgraph
  common
  pack
  util
)

if(LTDL_FOUND)
  target_include_directories(gvc SYSTEM PRIVATE ${LTDL_INCLUDE_DIRS})
  if(NOT WIN32 OR MINGW)
    target_link_libraries(gvc PUBLIC ${LTDL_LIBRARIES})
  endif()
endif()

if(ZLIB_FOUND)
  target_include_directories(gvc SYSTEM PRIVATE ${ZLIB_INCLUDE_DIRS})
  target_link_libraries(gvc PUBLIC ${ZLIB_LIBRARIES})
endif()

if(with_ortho)
  target_link_libraries(gvc PRIVATE
    $<TARGET_OBJECTS:ortho_obj>
  )
  target_link_libraries(gvc PRIVATE ortho)
endif()

# Installation location of library files
install(
  TARGETS gvc
  EXPORT gvcConfig
  RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
  LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
)

# Specify headers to be installed
install(
  FILES
    gvc.h
    gvcext.h
    gvcjob.h
    gvconfig.h
    gvcommon.h
    gvplugin.h
    gvplugin_device.h
    gvplugin_layout.h
    gvplugin_loadimage.h
    gvplugin_render.h
    gvplugin_textlayout.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

# Specify man pages to be installed
if(GZIP)
  add_custom_target(man-gvc ALL DEPENDS gvc.3.gz
                    COMMENT "gvc man page")
  add_custom_command(
    OUTPUT gvc.3.gz
    COMMAND ${GZIP} -9 --no-name --to-stdout gvc.3
      >"${CMAKE_CURRENT_BINARY_DIR}/gvc.3.gz"
    MAIN_DEPENDENCY gvc.3
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "compress gvc man page")
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gvc.3.gz
    DESTINATION ${MAN_INSTALL_DIR}/man3)
else()
  install(
    FILES gvc.3
    DESTINATION ${MAN_INSTALL_DIR}/man3
  )
endif()

# Specify library version and soversion
set_target_properties(gvc PROPERTIES
  VERSION 7.0.2
  SOVERSION 7
)

# Include DLLs with this library on Windows
if(WIN32 AND EXPAT_FOUND AND install_win_dependency_dlls)
  install(
    FILES
      ${EXPAT_RUNTIME_LIBRARIES}
    DESTINATION ${BINARY_INSTALL_DIR}
  )
endif()

if(WIN32 AND ZLIB_FOUND AND install_win_dependency_dlls)
  find_program(ZLIB_RUNTIME_LIBRARY NAMES zlib1.dll)
  install(
    FILES
      ${ZLIB_RUNTIME_LIBRARY}
    DESTINATION ${BINARY_INSTALL_DIR}
  )
endif()

if(BUILD_SHARED_LIBS)
  install(
    EXPORT gvcConfig
    FILE gvcConfig.cmake
    NAMESPACE graphviz::
    DESTINATION ${LIBRARY_INSTALL_DIR}/cmake/graphviz
  )
endif()

=== lib/gvpr/CMakeLists.txt ===
add_definitions(-DEXPORT_GVPR)

add_library(gvpr
  # Header files
  actions.h
  compile.h
  gdefs.h
  gprdata.inc
  gprstate.h
  gvpr.h
  parse.h
  trieFA.h

  # Source files
  actions.c
  compile.c
  gvpr.c
  gprstate.c
  parse.c
)

target_include_directories(gvpr
  PUBLIC
    $<INSTALL_INTERFACE:include/graphviz>
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>
      # needed to find generated expr/exparse.h
    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../common>
      # needed to find generated common/colortbl.h
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../cdt>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../cgraph>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../common>
)

if(GETOPT_FOUND)
  target_include_directories(gvpr SYSTEM PRIVATE
    ${GETOPT_INCLUDE_DIRS}
  )
endif()

if(WIN32 AND NOT MINGW)
  target_include_directories(gvpr PRIVATE ../../windows/include/unistd)
endif()

target_link_libraries(gvpr PRIVATE
  $<TARGET_OBJECTS:ast>
  cgraph
  gvc
  util
  $<TARGET_OBJECTS:expr>
  $<TARGET_OBJECTS:sfio>
)

if(NOT HAVE_GETOPT_H)
  target_link_libraries(gvpr PRIVATE ${GETOPT_LINK_LIBRARIES})
endif()

# Installation location of library files
install(
  TARGETS gvpr
  EXPORT gvprConfig
  RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
  LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
)

# Specify headers to be installed
install(
  FILES gvpr.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

# Specify man pages to be installed
if(GZIP)
  add_custom_target(man-gvprlib ALL DEPENDS gvpr.3.gz
                    COMMENT "gvpr library man page")
  add_custom_command(
    OUTPUT gvpr.3.gz
    COMMAND ${GZIP} -9 --no-name --to-stdout gvpr.3
      >"${CMAKE_CURRENT_BINARY_DIR}/gvpr.3.gz"
    MAIN_DEPENDENCY gvpr.3
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "compress gvpr library man page")
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gvpr.3.gz
    DESTINATION ${MAN_INSTALL_DIR}/man3)
else()
  install(
    FILES gvpr.3
    DESTINATION ${MAN_INSTALL_DIR}/man3
  )
endif()

# Specify library version and soversion
set_target_properties(gvpr PROPERTIES
  VERSION 2.0.3
  SOVERSION 2
)

if(BUILD_SHARED_LIBS)
  install(
    EXPORT gvprConfig
    FILE gvprConfig.cmake
    NAMESPACE graphviz::
    DESTINATION ${LIBRARY_INSTALL_DIR}/cmake/graphviz
  )
endif()

=== lib/neatogen/CMakeLists.txt ===
add_definitions(-DNEATOGEN_EXPORTS=1)

set(SOURCES
  # Header files
  adjust.h
  bfs.h
  call_tri.h
  closest.h
  conjgrad.h
  defs.h
  delaunay.h
  digcola.h
  dijkstra.h
  edges.h
  embed_graph.h
  fPQ.h
  geometry.h
  heap.h
  hedges.h
  info.h
  kkutils.h
  matrix_ops.h
  multispline.h
  neato.h
  neatoprocs.h
  overlap.h
  pca.h
  poly.h
  quad_prog_solver.h
  quad_prog_vpsc.h
  site.h
  sparsegraph.h
  stress.h
  voronoi.h
  sgd.h
  randomkit.h

  # Source files
  adjust.c
  bfs.c
  call_tri.c
  circuit.c
  closest.c
  compute_hierarchy.c
  conjgrad.c
  constrained_majorization.c
  constraint.c
  delaunay.c
  dijkstra.c
  edges.c
  embed_graph.c
  geometry.c
  heap.c
  hedges.c
  info.c
  kkutils.c
  legal.c
  lu.c
  matinv.c
  matrix_ops.c
  multispline.c
  neatoinit.c
  neatosplines.c
  opt_arrangement.c
  overlap.c
  pca.c
  poly.c
  quad_prog_solve.c
  site.c
  smart_ini_x.c
  solve.c
  stuff.c
  stress.c
  voronoi.c
  sgd.c
  randomkit.c
)

if(with_ipsepcola)
  list(APPEND SOURCES
    constrained_majorization_ipsep.c
    quad_prog_vpsc.c
  )
endif()

add_library(neatogen STATIC
  ${SOURCES}
)

target_include_directories(neatogen PRIVATE
  ..
  ../cdt
  ../cgraph
  ../common
  ../gvc
  ../pack
  ../pathplan
)

target_link_libraries(neatogen PRIVATE
  cgraph
  gvc
  pathplan
  sparse
  rbtree
  util
)

if(with_ipsepcola)
  target_link_libraries(neatogen PRIVATE vpsc)
endif()

if(GTS_FOUND)
  target_include_directories(neatogen SYSTEM PRIVATE
    ${GTS_INCLUDE_DIRS}
  )

  target_link_libraries(neatogen PRIVATE
    ${GTS_LINK_LIBRARIES}
  )

  if(WIN32 AND NOT MINGW AND install_win_dependency_dlls)
    install(
      FILES ${GTS_RUNTIME_LIBRARIES}
      DESTINATION ${BINARY_INSTALL_DIR}
    )
  endif()
endif()

=== lib/pathplan/CMakeLists.txt ===
add_definitions(-DPATHPLAN_EXPORTS)

add_library(pathplan
  # Header files
  pathgeom.h
  pathplan.h
  pathutil.h
  solvers.h
  tri.h
  vis.h
  vispath.h

  # Source files
  cvt.c
  inpoly.c
  route.c
  shortest.c
  shortestpth.c
  solvers.c
  triang.c
  util.c
  visibility.c
)

target_include_directories(pathplan
  PUBLIC
    $<INSTALL_INTERFACE:include/graphviz>
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
)

target_link_libraries(pathplan PRIVATE util)

# Installation location of library files
install(
  TARGETS pathplan
  EXPORT pathplanConfig
  RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
  LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
)

# Specify headers to be installed
install(
  FILES pathgeom.h pathplan.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

# Specify man pages to be installed
if(GZIP)
  add_custom_target(man-pathplan ALL DEPENDS pathplan.3.gz
                    COMMENT "pathplan man page")
  add_custom_command(
    OUTPUT pathplan.3.gz
    COMMAND ${GZIP} -9 --no-name --to-stdout pathplan.3
      >"${CMAKE_CURRENT_BINARY_DIR}/pathplan.3.gz"
    MAIN_DEPENDENCY pathplan.3
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "compress pathplan man page")
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/pathplan.3.gz
    DESTINATION ${MAN_INSTALL_DIR}/man3)
else()
  install(
    FILES pathplan.3
    DESTINATION ${MAN_INSTALL_DIR}/man3
  )
endif()

# Specify library version and soversion
set_target_properties(pathplan PROPERTIES
  VERSION 4.0.3
  SOVERSION 4
)

if(BUILD_SHARED_LIBS)
  install(
    EXPORT pathplanConfig
    FILE pathplanConfig.cmake
    NAMESPACE graphviz::
    DESTINATION ${LIBRARY_INSTALL_DIR}/cmake/graphviz
  )
endif()

=== lib/xdot/CMakeLists.txt ===
add_definitions(-DEXPORT_XDOT)

add_library(xdot
  # Header files
  xdot.h

  # Source files
  xdot.c
)

target_include_directories(xdot
  PUBLIC
    $<INSTALL_INTERFACE:include/graphviz>
  PRIVATE
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
)

# Installation location of library files
install(
  TARGETS xdot
  EXPORT xdotConfig
  RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
  LIBRARY DESTINATION ${LIBRARY_INSTALL_DIR}
  ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
)

# Specify headers to be installed
install(
  FILES xdot.h
  DESTINATION ${HEADER_INSTALL_DIR}
)

# Specify man pages to be installed
if(GZIP)
  add_custom_target(man-xdot ALL DEPENDS xdot.3.gz
                    COMMENT "xdot man page")
  add_custom_command(
    OUTPUT xdot.3.gz
    COMMAND ${GZIP} -9 --no-name --to-stdout xdot.3
      >"${CMAKE_CURRENT_BINARY_DIR}/xdot.3.gz"
    MAIN_DEPENDENCY xdot.3
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "compress xdot man page")
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/xdot.3.gz
    DESTINATION ${MAN_INSTALL_DIR}/man3)
else()
  install(
    FILES xdot.3
    DESTINATION ${MAN_INSTALL_DIR}/man3
  )
endif()

# Specify library version and soversion
set_target_properties(xdot PROPERTIES
  VERSION 4.0.0
  SOVERSION 4
)

if(BUILD_SHARED_LIBS)
  install(
    EXPORT xdotConfig
    FILE xdotConfig.cmake
    NAMESPACE graphviz::
    DESTINATION ${LIBRARY_INSTALL_DIR}/cmake/graphviz
  )
endif()

=== plugin/gd/CMakeLists.txt ===
if(GD_FOUND)

  add_library(gvplugin_gd
    # Source files
    gdioctx_wrapper.h
    gdgen_text.h
    gd_psfontResolve.h
    gvdevice_gd.c
    gvloadimage_gd.c
    gvplugin_gd.c
    gvrender_gd.c
    gvrender_gd_vrml.c
    gvtextlayout_gd.c
  )

  target_include_directories(gvplugin_gd PRIVATE
    ../../lib
    ${CMAKE_CURRENT_SOURCE_DIR}
    ../../lib/cdt
    ../../lib/cgraph
    ../../lib/common
    ../../lib/gvc
    ../../lib/pathplan
  )

  target_include_directories(gvplugin_gd SYSTEM PRIVATE
    ${GD_INCLUDE_DIRS}
  )

  target_link_libraries(gvplugin_gd PRIVATE
    cgraph
    gvc
    pathplan
    ${GD_LIBRARIES}
  )

  if(CAIRO_FOUND)
    target_include_directories(gvplugin_gd SYSTEM PRIVATE
      ${CAIRO_INCLUDE_DIRS}
    )
    target_link_libraries(gvplugin_gd PRIVATE
      ${CAIRO_LINK_LIBRARIES}
    )
    if(PANGOCAIRO_FOUND)
      target_include_directories(gvplugin_gd SYSTEM PRIVATE
        ${PANGOCAIRO_INCLUDE_DIRS}
      )

      target_link_libraries(gvplugin_gd PRIVATE
        ${PANGOCAIRO_LINK_LIBRARIES}
      )
    endif()
  endif()

  if(BUILD_SHARED_LIBS)
    # Installation location of library files
    install(
      TARGETS gvplugin_gd
      RUNTIME DESTINATION ${BINARY_INSTALL_DIR}
      LIBRARY DESTINATION ${PLUGIN_INSTALL_DIR}
      ARCHIVE DESTINATION ${LIBRARY_INSTALL_DIR}
    )
  endif()

  # Include DLLs with this library on Windows
  if(WIN32 AND install_win_dependency_dlls)
    install(
      FILES
        ${GD_RUNTIME_LIBRARIES}
      DESTINATION ${BINARY_INSTALL_DIR}
    )
  endif()

  # Specify library version and soversion
  set_target_properties(gvplugin_gd PROPERTIES
    VERSION ${GVPLUGIN_CURRENT}.0.${GVPLUGIN_REVISION}
    SOVERSION ${GVPLUGIN_CURRENT}
  )

  if(MINGW)
    # work around https://gitlab.kitware.com/cmake/cmake/-/issues/21716
    set_target_properties(gvplugin_gd PROPERTIES
      RUNTIME_OUTPUT_NAME gvplugin_gd-${GVPLUGIN_CURRENT}
    )
  endif()

endif()

=== tests/2598_1/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
project(test_2598_1 C)

# listen to `graphviz_ROOT` environment variable during `find_package(graphviz)`
cmake_policy(SET CMP0074 NEW)

# find Graphviz libraries
find_package(graphviz REQUIRED)

# define an application that uses libcgraph
add_executable(cgraph_app cgraph_app.c)
target_link_libraries(cgraph_app PRIVATE graphviz::cgraph)

=== debian/control ===
Source: graphviz
Section: graphics
Priority: optional
Maintainer: John Ellson <ellson@graphviz.org>
Standards-Version: 3.7.3
Build-Depends: tcl-dev,
 debhelper-compat (= 10),
 libfreetype6-dev,
 zlib1g-dev,
 libjpeg-dev,
 libxaw7-dev,
 bison,
 flex,
 autotools-dev,
 libexpat1-dev,
 libfontconfig1-dev,
 libltdl3-dev,
 swig,
 libperl-dev,
 libgd-dev (>= 2.0.35),
 groff-base,
 ghostscript,
 ruby,
 ruby-dev (>= 1.8),
 php-dev (>= 5),
 python-dev,
 python-minimal,
 libcairo2-dev,
 libpango1.0-dev,
 guile-2.2-dev,
 d-shlibs,
 librsvg2-dev,
 libgtkglext1-dev,
 libglade2-dev,
 libgts-dev,
 freeglut3-dev,
 liblua5.3-dev
Homepage: http://www.graphviz.org/

Package: graphviz
Architecture: any
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: gdtclft
Suggests: msttcorefonts, gsfonts, graphviz-doc
Description: rich set of graph drawing tools
 Graph drawing addresses the problem of visualizing structural information
 by constructing geometric representations of abstract graphs and networks.
 Automatic generation of graph drawings has important applications in key
 technologies such as database design, software engineering, VLSI and
 network design and visual interfaces in other domains. Situations where
 these tools might be particularly useful include:
 .
   * you would like to restructure a program and first need to understand
     the relationships between its types, procedures, and source files
   * you need to find the bottlenecks in an Internet backbone - not only
     individual links, but their relationships
   * you're debugging a protocol or microarchitecture represented as a
     finite state machine and need to figure out how a certain
     error state arises
   * you would like to browse a database schema, knowledge base, or
     distributed program represented graphically
   * you would like to see an overview of a collection of linked documents
   * you would like to discover patterns and communities of interest in a
     database of telephone calls or e-mail messages
 .
 This package contains the command-line tools.

Package: libgv-guile
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Guile bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the guile (1.6) bindings.

Package: libgv-lua
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Lua bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the lua5.1 bindings.

Package: libgv-perl
Architecture: any
Section: perl
Depends: libgraphviz4 (= ${binary:Version}), ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Perl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Perl bindings.

Package: libgv-php5
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Php5 bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Php5 bindings.

Package: libgv-python
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Python bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Python (2.5) bindings.

Package: libgv-ruby
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ruby, ${misc:Depends}
Description: Ruby bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Ruby bindings.


Package: libgv-tcl
Architecture: any
Section: interpreters
Depends: libgraphviz4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: graphviz (<< 2.12-1)
Description: Tcl bindings for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the Tcl (8.5) bindings.

Package: libgraphviz4
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: rich set of graph drawing tools
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package contains the libraries.

Package: libgraphviz-dev
Architecture: any
Section: libdevel
Depends: libgraphviz4 (= ${binary:Version}), ${devlibs:Depends}, ${misc:Depends}
Conflicts: graphviz-dev (<< 2.12-1), libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
Replaces: libgraphviz3-dev, libgraphviz4-dev (<< 2.16.3)
Provides: graphviz-dev
Description: graphviz libs and headers against which to build applications
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs the libraries and headers necessary to link graphviz
 library routines into an application. It also installs additional man pages.
 .
 Note: A graphviz user doesn't need to install this package.

Package: graphviz-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Conflicts: graphviz (<< 2.12-1)
Suggests: graphviz
Description: additional documentation for graphviz
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package installs HTML and PDF documentation for Graphviz, as well as
 examples.

Package: graphviz-dev
Architecture: all
Depends: libgraphviz-dev, ${misc:Depends}
Description: transitional package for graphviz-dev rename
 Graphviz is a set of graph drawing tools. See the description of the graphviz
 package for a full description.
 .
 This package is targeted at easing the upgrade from older graphviz-dev to the
 new libgraphviz-dev package.
 .
 This package can be purged at anytime once the libgraphviz-dev package has
 been installed.
